%define upstream_name Ima-DBI
%define upstream_version 0.35

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 3
Summary:	Database connection caching and organization
License:	GPL or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source:		http://search.cpan.org/CPAN/authors/id/T/TM/TMTM/%{upstream_name}-%{upstream_version}.tar.gz
Buildrequires:	perl-DBIx-ContextualFetch
Buildrequires:	perl-Class-Data-Inheritable
Buildrequires:  perl-DBI
Buildarch:	noarch

%description
Ima::DBI attempts to organize and facilitate caching and more efficient use of
database connections and statement handles by storing DBI and SQL information
with your class (instead of as separate objects). This allows you to pass
around just one object without worrying about a trail of DBI handles behind it.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%make_install

%files 
%doc Changes README
%{perl_vendorlib}/Ima
%{_mandir}/*/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.350.0-3.mga6
+ Revision: 1028454
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.350.0-2.mga6
+ Revision: 942960
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.35-6.mga5
+ Revision: 745048
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.35-5.mga5
+ Revision: 685114
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.35-4.mga4
+ Revision: 512351
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.35-3.mga3
+ Revision: 368700
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 13 2011 jquelin <jquelin> 0.35-2.mga1
+ Revision: 12102
- imported package perl-Ima-DBI


* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 0.35-2mdv2010.0
+ Revision: 430468
- rebuild

* Thu Aug 14 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.35-1mdv2009.0
+ Revision: 271775
- new version

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 0.34-7mdv2009.0
+ Revision: 241484
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.34-5mdv2008.0
+ Revision: 86474
- rebuild


* Thu Aug 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.34-4mdv2007.0
- Rebuild

* Wed Dec 28 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.34-3mdk
- Add BuildRequires

* Wed Dec 28 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.34-2mdk
- fix buildrequires

* Mon Dec 05 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.34-1mdk
- first mdk release

